# Compaq TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents | Index

# SHOW CFS

> Displays statistical information about OpenVMS and container file systems.

> The NFS server software must be active.

> Related commands: SHOW NFS

## Format

> SHOW CFS [ /CONTINUOUS[=n] ]
> [ /PARAMETERS ]
> [ /SUMMARY ]

## Qualifiers

> ### /CONTINUOUS[=n]

> Optional. Default: Static display; /CONTINUOUS=4.

> Continuously updates the screen display.

> To terminate the display, press Ctrl/Z.

> ### /PARAMETERS

> Optional.

> Displays the parameters.

> ### /SUMMARY

> Optional.

> Displays the following information:

> > Wait states
> > Data cache performance
> > Summary of allocated services and resources

##

### Examples

#1
    TCPIP> SHOW CFS

        CFS Services                       OpenVMS Services
    -------------------     ----------------------------------------------
    CLOSE            14
    CREATE_FH         1     $ASSIGN       17    $QIO                     0
    CREDIR_FH         1     $DASSGN       15         Access             14
    FREEBUFF          0                              Create              2
    GETATTR       16256     $DEQ         125         Deaccess           15
    LINK_FH           0     $ENQ         436
    LOOKUP_FH        14                              Read_attr        6746
    OPEN_FH          14     getVMpage      6         Write_attr          7
    READ           8119     freeVMpage     0
    READBUFF          0                              Lookup             57
    READDIR_FH       13     $CLREF     26318
    READLINK_FH       0     $SETEF     26318         Extend              1
    REMDIR_FH         1
    REMOVE_FH         2     $DCLAST    26325         Delete              3
    RENAME_FH         2     $CLRAST     1877         Enter               2
    SETATTR           1     $SETAST    49601         Remove              2
    STATFS         1873
    SYMLINK_FH        0     $GETDVI     1875         Read_V             13
    WRITE             5                              Write_V             2
    OTHER             6     $CHKPRO       71
    TOTAL         26322

#2
    TCPIP> SHOW CFS /SUMMARY

            CFS Service status and performance    29-OCT-1998 14:54:36.74

    Service State   Cur  Max  Total  Cacheop  Cur  Hit  I/O  Inc    Status
    -------------   ---  ---  -----  -------  ---  ---  ---  ---  ----------
    FP-Access         0    0     0   Read       0    0    0    0  Clusize 16
    FP-Attributes     0    0     0   Read-A     0    0    0    0  Limit  256
    FP-Delete         0    0     0   Write      0    0    0    0  Inuse    0
    FP-Dir            0    0     0   Write-A    0    0    0    0  Busy     0
    FP-Rename         0    0     0   Write-D    0                 Hitrate  0
      FP Sub_total    0    0     0
    Buffered          0    0     0   Nameop   Cur  Hit     Status
    Internal          0    0     0   ------  ---- ----  -------------
    I/O               0    0     0   Add        0       Tabsize     0
    Lock              0    0     0   Delete     0       Inuse       0
    Logging           0    0     0   Lookup     0    0  Hitrate     0
    Resource          0    0     0
    RMS               0    0     0   Fileop   Cur  Hit     Status
    Service           0    0     0   ------  ---- ----  -------------
    Timer             0    0     0   Find       0    0  Limit       0
    Other             0    0     0   Find-A          0  Inuse  655535
    Synch             0    0     0   Find-C          0  Timeout     5
                                                        Hitrate     0

    Services count    1    1     3   ATCBs:  1 TBABs:  0 RDCBs: 1 Pages:  0

> Displays service wait states, data cache performance, and a summary of services and resources.

#3
    TCPIP> SHOW CFS /PARAMETERS

                             CFS PARAMETERS

         Data cache
            Size             256
            Low limit        4
            High limit       8

         Attribute cache     Disabled
            Size             0
            Timeout          5

         Name cache          Disabled
            Size             0

         Transfer size       8192
         Write size          512

         Output fatal messages to device: _OPA0:

> Displays file system information.

# SHOW COMMUNICATION

> Displays the settings and status for the IP, TCP, UDP, and INET_ACP software, including routing, buffers, sockets, and memory on the running system.

> Related commands: SET COMMUNICATION

## Format

> SHOW COMMUNICATION [ /MEMORY ]
> [ /ROUTE ]
> [ /SECURITY ]

## Qualifiers

> ### /MEMORY

> Optional.

> Displays information about memory allocated to data structures associated with network operations.

> ### /ROUTE

> Optional.

> Displays routing statistics.

> ### /SECURITY

> Optional.

> Displays the security settings specified with the following SET COMMUNICATION qualifiers:

> - /ACCEPT
> - /REJECT

##

### Examples

#1
    TCPIP> SHOW COMMUNICATION/ROUTE
    Route statistics

           Created by redirects             0
           Modified by redirects            0
           Wildcarded lookups               6

           Invalid redirect calls           0
           Failed lookups                   0

> Displays routing statistics.

#2
    TCPIP> SHOW COMMUNICATION /MEMORY
    1585 mbufs in use:
            490 mbufs allocated to data
            221 mbufs allocated to ancillary data
            2 mbufs allocated to packet headers
            131 mbufs allocated to socket structures
            198 mbufs allocated to protocol control blocks
            180 mbufs allocated to routing table entries
            246 mbufs allocated to socket names and addresses
            21 mbufs allocated to socket options
            76 mbufs allocated to interface addresses
            1 mbufs allocated to kernel table
            2 mbufs allocated to ip multicast options
            7 mbufs allocated to ip multicast address
            10 mbufs allocated to interface multicast addess
            1 mbufs allocated to <mbuf type 100>
            1 mbufs allocated to <mbuf type 108>
            3 mbufs allocated to <mbuf type 109>
            7 mbufs allocated to <mbuf type 112>
            28 mbufs allocated to <mbuf type 113>
            28 mbufs allocated to <mbuf type 114>
            3 mbufs allocated to <mbuf type 115>
            3 mbufs allocated to <mbuf type 117>
            5 mbufs allocated to <mbuf type 118>

> Displays information about memory usage.

#3
    TCPIP> SHOW COMMUNICATION /SECURITY

    Communication Security Parameters

    Allow Log:  Acpt Actv Dactv Conn Error Exit Logi Logo Mdfy Rjct TimO Addr
    Force Log:  None

    Security device:  disabled

    Access lists
     Accept host: 0.0.0.0
     Accept netw: 0.0.0.0

> Displays information about security parameters that were specified with the SET COMMUNICATION command.

# SHOW CONFIGURATION

> Displays the information in the configuration database. This database, read by the TCP/IP Services startup procedure, holds information to:
> - Configure the lower-layer protocols, including dynamic routing.
> - Configure and enable the Internet interfaces.
> - Configure the services you want enabled when TCP/IP Services starts up.
> - Configure the BIND resolver.
> - Configure the BIND server, including the default domain.
> - Configure SMTP.
> - Configure SNMP.
> - Configure TIME.
> - Map file systems.

> Because the SET CONFIGURATION commands do not take effect until the next time TCP/IP Services starts up, the SHOW CONFIGURATION command might not display the current settings for the running software. For example, the information you see from SHOW CONFIGURATION PROTOCOL might differ from the SHOW PROTOCOL /PARAMETERS output.

> Related commands: All SET CONFIGURATION commands

## Format

> SHOW CONFIGURATION { component
> ENABLE SERVICE [service]
> START ROUTING }
> [ /COMMON ]
> [ /FULL ]
> [ /OUTPUT=file ]

## Parameters

> ### component

> Required if you do not specify ENABLE SERVICE or START ROUTING.

> Component, defined in the configuration database, whose configuration you want to display.

> ### ENABLE SERVICE [service]

> Required if you do not specify component or START ROUTING.

> Displays either the specified component or all the components that are enabled by the TCP/IP Services startup procedure.

> ### START ROUTING

> Required if you do not specify component or ENABLE SERVICE.

> Shows whether or not routing is configured to start running by the TCP/IP Services startup procedure.

## Qualifiers

> ### /COMMON

> Optional. Default: Node specific.

> Valid only with SHOW CONFIGURATION ENABLE SERVICE.

> Displays the information in the configuration database for the clusterwide enabling or disabling of services.

> ### /FULL

> Optional. The default is to give a brief listing of the information.

> Displays complete information.

> Use with the component parameter.

> ### /OUTPUT=file

> Optional. Default: Screen display.

> Writes output to the specified file.

##

### Examples

#1
    TCPIP> SHOW CONFIGURATION ENABLE SERVICE

    Enable service

     FTP, FTP_CLIENT, LPD, MOUNT, NFS, NFS_CLIENT, PCNFS,
      PORTMAPPER, REXEC, RSH, SMTP, SNMP

> Displays the services configured in the services database that will be enabled by the TCP/IP Services startup procedure.

#2
    TCPIP> SHOW CONFIGURATION SNMP
    SNMP Configuration

    Flags:    AuthenTraps Sets

    Contact:  Sam Spade

    Location
      First:  Falcon Building
      Second: Los Angeles, California

    Community           Type       Address_list

    public              Read       0.0.0.0

    trapit              Read Trap  136.20.0.10

    trapit2             Read Trap  136.20.0.12, 136.20.0.15

    rw2                 Read Write 136.20.0.15, 136.20.0.100

> Displays the SNMP configuration.

#3
    TCPIP> SHOW CONFIGURATION NAME_SERVICE
    BIND Resolver Configuration

      Transport:  UDP
      Domain:     fred.parrot.brd.com
      Retry:         4
      Timeout:       4
      Servers:    11.20.208.10, 11.20.208.53
      Path:       No values defined
    TCPIP>

> Displays, from the configuration database, the BIND resolver configuration.

#4
    TCPIP> SHOW CONFIGURATION INTERFACE

     Interface: DE1
       IP_Addr: 11.20.208.100     NETWRK: 255.255.0.0  BRDCST: 11.20.255.255

     Interface: LO0
       IP_Addr: 137.0.0.1         NETWRK: 255.0.0.0    BRDCST:
    TCPIP>

> Displays the permanent definition of Internet interfaces DE1 and LO0.

#5
    TCPIP> SHOW CONFIGURATION SMTP

    SMTP Configuration
                                                                       Options
    Initial interval:   0 00:30:00.00       Address_max:    16       NOEIGHT_BIT
    Retry interval:     0 01:00:00.00       Hop_count_max:  16       NORELAY
    Maximum interval:   3 00:00:00.00                                TOP_HEADERS

    Timeout             Initial       Mail    Receipt       Data  Terminate
      Send:                   5          5          5          3         10
      Receive:                5

    Alternate gateway:  not defined
    General gateway:    not defined

    Substitute domain:  not defined
    Zone:               not defined

    Postmaster:         TCPIP_SMTP
    Log file:           SYS$SPECIFIC:[TCPIP$SMTP]TCPIP$SMTP_LOGFILE.LOG

    Generic queue       Queues   Participating nodes

    TCPIP$SMTP_CRANE_00     1     CRANE

> Displays the SMTP configuration.

# SHOW CONFIGURATION PROTOCOL

> Displays information in the configuration database which sets the parameters for ICMP, IP, TCP, and UDP when TCP/IP Services starts up.

> Related commands: SET CONFIGURATION PROTOCOL, SET PROTOCOL

## Format

> SHOW CONFIGURATION PROTOCOL [ protocol ]
> [ /PARAMETERS ]

## Parameters

> ### protocol

> Optional. Default: All protocols.

> Specify one of the following: ICMP, IP, TCP, UDP.

## Qualifiers

> ### /PARAMETERS

> Optional.

> Shows parameter settings. You can specify any protocol.

##

### Examples

#1
    TCPIP> SHOW CONFIGURATION PROTOCOL

    ICMP
      Redirect:               enabled
      Unreachable:           disabled

    IP
      Forward:               disabled

      Reassembly timer:             0

    TCP
      Delay ACK:              enabled
      Window scale:           enabled
      Drop count:                   0
      Probe timer:                  0

                              Receive                Send

      Push:                  disabled            disabled
      Quota:                        0                   0

    UDP
      Unpriv. broadcast:     disabled

                              Receive                Send

      Checksum:               enabled             enabled
      Quota:                        0                   0

> Displays information in the configuration database.

# SHOW DEVICE_SOCKET

> Displays:
> - Device socket counters
> - Current settings from the running communications software

> (A device socket is composed of two parts: the internet device (interface) and the socket.)

## Format

> SHOW DEVICE_SOCKET [ device_socket ]
> [ /CONTINUOUS[=n] ]
> [ /FULL ]
> [ /HOST=host ]
> [ /[NO]LOCAL ]
> [ /PORT=n ]
> [ /SERVICE=service ]
> [ /TYPE=socket_type ]

## Parameters

> ### device_socket

> Optional. Default: All device sockets.

> Device socket for which you want information.

> Specify the characters BG and the device's unit number, for example, BG3, BG17.

## Qualifiers

> ### /CONTINUOUS[=n]

> Optional. Default: Static display; /CONTINUOUS=4.

> Automatically updates the display.

> Screen update interval in seconds. Valid only for a specific device socket.

> To terminate the display, press Ctrl/C.

> ### /FULL

> Optional. The default is to give a brief listing of the information.

> Displays complete information, including:

> - Application option settings, for example, ACCEPT or FULL_DUPLEX_CLOSE
> - State of the service
> - Counters for receiving and sending buffers

> ### /HOST=host

> Optional. Default: All hosts.

> Displays information for device sockets bound to the specified host.

> This does not include device sockets bound to the "ANY host" (address 0.0.0.0).

> ### /LOCAL

> ### /NOLOCAL

> Optional. Default: /LOCAL.

> Displays information for device sockets bound to hosts in the local hosts database.

> /NOLOCAL: Displays information for device sockets bound to hosts in the hosts database and hosts known by the BIND resolver.

> ### /PORT=n

> Optional. Default: All local ports.

> Displays information for device sockets bound to the specified local port.

> ### /SERVICE=service

> Optional. Default: All services.

> Displays information for device sockets used for the specified service.

> ### /TYPE=socket_type

> Optional. Default: /TYPE=ALL.

> Displays information for the specified type of device socket. Specify one of the following:

> - STREAM
> - DGRAM

##

### Examples

#1
    TCPIP> SHOW DEVICE_SOCKET BG21 /FULL

    Device_socket:  BG21        Type: STREAM
                          LOCAL                          REMOTE
             Port:           21                               0
             Host:  *                               *
          Service:  FTP

                                                               RECEIVE       SEND
                                       Queued I/O                    0             0
           Q0LEN         0             Socket buffer bytes           0             0
           QLEN          0             Socket buffer quota       61440         61440
           QLIMIT     1024             Total buffer alloc            0             0
           TIMEO         0             Total buffer limit       491520        491520
           ERROR         0             Buffer or I/O waits           1             0
           OOBMARK       0             Buffer or I/O drops           0             0
                                       I/O completed                 0             0
                                       Bytes transferred             0             0

      Options:  ACCEPT REUSEADR
      State:    PRIV
      RCV Buff: WAIT
      SND Buff: None

> Displays complete information about device socket BG21, including the options that are set, for example, the FULL_DUPLEX_CLOSE option.

> (With the FULL_DUPLEX_CLOSE option set, the first data transmission on a TCP connection that has been closed by the remote application returns an EPIPE error. Subsequent `send` operations on the half-closed socket proceed normally.)

> The following table describes the counters in the first column of the display.

> Counter | Meaning
> --- | ---
> Q0LEN | Number of sockets that are about to be connected to the specified socket
> QLEN | Number of sockets that have established a connection but have not yet been accepted by the specified socket
> QLIMIT | Number of sockets for the Q0LEN and QLEN sockets
> TIMEO | Not used
> ERROR | Error code temporarily stored on the socket
> OOBMARK | Out-of-band mark

#2
    TCPIP> SHOW DEVICE_SOCKET BG75 /CONTINUOUS=10

> Displays information about device socket BG75 every 10 seconds.

#3
    TCPIP> SHOW DEVICE_SOCKET /HOST="lark"

> Displays information about all device sockets for remote host `lark` .

#4
    TCPIP> SHOW DEVICE_SOCKET BG1898
                                Port                       Remote
    Device_socket  Type    Local  Remote  Service           Host

      bg1898      STREAM      23    2568  TELNET           16.20.176.227

> Displays socket type, service, and host information for device BG1898.

# SHOW EXPORT

> Displays disks/directories available for mounting by NFS clients, in the form of UNIX path names. It also displays the clients allowed to mount these path names.

> Related commands: ADD EXPORT, REMOVE EXPORT, MAP, SET CONFIGURATION MAP, SET CONFIGURATION NOMAP, SHOW MAP, SHOW CONFIGURATION MAP

## Format

> SHOW EXPORT [ "/path/name" ]
> [ /HOST=host ]
> [ /OUTPUT=file] ]

### restrictions

> Requires read access to the export database.

## Parameters

> ### "/path/name"

> Optional. Default: All exported file systems.

> Exported files for which to show access rights.

> To specify multiple directory names, separate them with slashes.

## Qualifiers

> ### /HOST="host_name"

> Optional. Default: All hosts.

> NFS client hosts for which you want to display access rights.

> ### /OUTPUT=file

> Optional. Default: Screen display. Sends output to the specified file.

##

### Examples

#1
    TCPIP> SHOW EXPORT

    File system                Host name

    /TOUCAN                    TOUCAN, toucan
    /talkers                   parrot
    /aviary_dua0               *
    /condor_root/root          condor
    /condor_root/work4         condor
    /nene_d                    *
    /nfstest_unix/lark1        *
    /nfstest_unix/lark2        *
    /spoonbill                 dove, nuthatch, dove.tree.branch.com
                               toucan, oriole.tree.branch.com
    /spoonbill/birdy           dove, DOVE, nuthatch, thrush,
                               thrush.tree.branch.com
    /spoonbill/bigbirdy        dove

> Displays exported NFS file systems with the clients that have access rights.

#2
    TCPIP> SHOW EXPORT/HOST="condor"
    File System                             Host name

    /condor_root/root            condor
    /condor_root/work4                      condor

> Displays exported NFS file systems for clients on host CONDOR.

Previous | Next | Contents | Index